VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "MSCOMCTL.OCX"
Begin VB.Form frmMain 
   Caption         =   "DEMO prtdraw.dll"
   ClientHeight    =   5700
   ClientLeft      =   165
   ClientTop       =   735
   ClientWidth     =   6030
   LinkTopic       =   "frmMain"
   ScaleHeight     =   380
   ScaleMode       =   0  'Benutzerdefiniert
   ScaleTop        =   100
   ScaleWidth      =   402
   StartUpPosition =   3  'Windows-Standard
   Begin MSComctlLib.StatusBar stbBar 
      Align           =   2  'Unten ausrichten
      Height          =   375
      Left            =   0
      TabIndex        =   2
      Top             =   5325
      Width           =   6030
      _ExtentX        =   10636
      _ExtentY        =   661
      _Version        =   393216
      BeginProperty Panels {8E3867A5-8586-11D1-B16A-00C0F0283628} 
         NumPanels       =   4
         BeginProperty Panel1 {8E3867AB-8586-11D1-B16A-00C0F0283628} 
            Object.Width           =   1693
            MinWidth        =   1693
            Object.ToolTipText     =   "Zoomwert"
         EndProperty
         BeginProperty Panel2 {8E3867AB-8586-11D1-B16A-00C0F0283628} 
            Alignment       =   2
            AutoSize        =   1
            Object.Width           =   3836
            Object.ToolTipText     =   "Dateiname"
         EndProperty
         BeginProperty Panel3 {8E3867AB-8586-11D1-B16A-00C0F0283628} 
            AutoSize        =   2
            Object.Width           =   3466
            MinWidth        =   1058
            Text            =   "Keine Zeichnung geladen "
            TextSave        =   "Keine Zeichnung geladen "
            Object.ToolTipText     =   "MegaCAD Zeichnungsversion / Status"
         EndProperty
         BeginProperty Panel4 {8E3867AB-8586-11D1-B16A-00C0F0283628} 
            Style           =   5
            Object.Width           =   1058
            MinWidth        =   1058
            TextSave        =   "00:11"
            Object.ToolTipText     =   "Zeit"
         EndProperty
      EndProperty
   End
   Begin VB.VScrollBar vsbBar 
      Height          =   4095
      LargeChange     =   10
      Left            =   4920
      TabIndex        =   1
      Top             =   0
      Width           =   255
   End
   Begin VB.HScrollBar hsbBar 
      Height          =   255
      LargeChange     =   10
      Left            =   0
      TabIndex        =   0
      Top             =   4200
      Width           =   4815
   End
   Begin MSComDlg.CommonDialog CommonDialog 
      Left            =   0
      Top             =   0
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.Shape Shape1 
      BorderStyle     =   2  'Strich
      DrawMode        =   11  'Stift Xor invers
      Height          =   15
      Left            =   720
      Top             =   0
      Width           =   15
   End
   Begin VB.Menu mnuFile 
      Caption         =   "Datei"
      Begin VB.Menu mnuFileOpen 
         Caption         =   "ffnen"
      End
      Begin VB.Menu mnuFileClose 
         Caption         =   "Schlieen"
      End
      Begin VB.Menu mnuFileExit 
         Caption         =   "Beenden"
      End
   End
   Begin VB.Menu mnuZoom 
      Caption         =   "Zoom"
      Begin VB.Menu mnuZoomBack 
         Caption         =   "Zurck"
         Shortcut        =   {F2}
      End
      Begin VB.Menu mnuZoomFree 
         Caption         =   "Frei"
         Shortcut        =   {F3}
      End
      Begin VB.Menu mnuZoomAuto 
         Caption         =   "Autozoom"
         Shortcut        =   {F4}
      End
      Begin VB.Menu mnuZoomPlus 
         Caption         =   "Zoom +"
         Shortcut        =   {F5}
      End
      Begin VB.Menu mnuZoomMinus 
         Caption         =   "Zoom -"
         Shortcut        =   {F6}
      End
      Begin VB.Menu mnuZoom200 
         Caption         =   "Zoom 200"
      End
      Begin VB.Menu mnuZoom500 
         Caption         =   "Zoom 500"
      End
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "?"
      Begin VB.Menu mnuHelpInfo 
         Caption         =   "Info"
         Shortcut        =   {F1}
      End
      Begin VB.Menu mnuHelpMakros 
         Caption         =   "Makros"
      End
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'******************************************************************************
'Formulare: frmMain.frm
'Beispiel zum Aufruf der prtdraw.dll Funktionen aus VB
'AURICH Innenprojekt GmbH, K.Hiller
'06.07.2004 Grundfunktionen
'12.09.2004 Zoomfunktionen
'15.09.2004 Komadozeilenparameter
'******************************************************************************
Option Explicit

Private Type tZOOM
  OldValue As Long
  OldX As Long
  OldY As Long
  Value As Long
  Step As Integer
  Offset As Integer
End Type

Private strIniName As String * 255  'String mit Fester Lnge fr *.ini Verzeichnis
Private strFileName As String * 255 'String mit fester Lnge fr Datei-Pfad und Name
Private strDllPath As String        'String fr den Dll-Standort (Pfad)
Private udtZoom As tZOOM            'Variablen Typ fr Zoom Einstellungen
Private udtRectFreeDC As tRECT      'Rechteck des freien Zeichenbereiches
Private udtRectMouse  As tRECT      'aufgezogenes Mouse Rechteck
Private bolFreeZoom As Boolean      'Maus zieht Rechteck auf fr FreeZoom
Private lngFlags As Long            'Attributflags fr DrawPrt
Private lngRand As Long             'Rand fr DrawPrt Zeichenbereich

Private Sub Form_Load()
  'Namen und Pfade initialisieren
  Call SetDllPath(CurDir)
  Call SetFileName("")
  Call SetIniName(CurDir & "\MEGACAD.INI")
  
  Call Komandozeile
  
  'prtdraw.dll patchen
  If Patch(GetDllPath) = False Then
    Call MsgBox("Die prtdraw.dll konnte nicht gepatcht werden." & vbCrLf & _
                "Die Anzeige der Makrodaten kann somit nicht zur Verfgung gestellt werden.", _
                vbExclamation, "Info")
    mnuHelpMakros.Enabled = False
  End If
  
  'MegaCAD SetMegaIni Funktion aus drawprt.dll aufrufen
  Call SetIni(GetIniName)
  
  'Variablen und Funktionen initialisieren
  'Rckgabewert von Scale... festlegen
  'ScaleMode-Wert fr tRECT Bereiche von prtdraw.dll, Pixel erforderlich
  frmMain.ScaleMode = 3   '1-Twip, 2-Punkt, 3-Pixel, 4-Zeichen
  Call SetScrollBarPos
  Call SetScrollBarMinMax
  Call InitZoom(100, 10, 0)
  Call InitStatusBar
  bolFreeZoom = False
  lngFlags = 15           'Hintergrundfarbe wei
  lngRand = 10
End Sub

Private Sub Form_MouseDown(Button As Integer, Shift As Integer, x As Single, y As Single)
  'FreeZoom Rechteck Startwerte festlegen
  If bolFreeZoom = True Then
    If Button = vbLeftButton Then
      udtRectMouse.lngLeft = x
      udtRectMouse.lngTop = y
      udtRectMouse.lngRight = x
      udtRectMouse.lngBottom = y
    End If
  End If
End Sub

Private Sub Form_MouseMove(Button As Integer, Shift As Integer, x As Single, y As Single)
  'FreeZoom Rechteck mit Maus aufziehen
  If bolFreeZoom = True Then
    If Button = vbLeftButton Then
      frmMain.DrawMode = vbInvert
      frmMain.Line (udtRectMouse.lngLeft, udtRectMouse.lngTop)- _
                   (udtRectMouse.lngRight, udtRectMouse.lngBottom), , B
      udtRectMouse.lngRight = x
      udtRectMouse.lngBottom = y
      frmMain.Line (udtRectMouse.lngLeft, udtRectMouse.lngTop)- _
                   (udtRectMouse.lngRight, udtRectMouse.lngBottom), , B
    End If
  End If
End Sub

Private Sub Form_MouseUp(Button As Integer, Shift As Integer, x As Single, y As Single)
  Dim lngWidthDC As Long
  Dim lngHightDC As Long
  Dim lngWidthM As Long
  Dim lngHightM As Long
  
  Dim zx As Double 'Zoom in X
  Dim zy As Double 'Zoom in Y
  Dim bx As Long   'scrollbarwert horizontal
  Dim by As Long   'scrollbarwert vertikal
  
  lngWidthDC = (udtRectFreeDC.lngRight - udtRectFreeDC.lngLeft)
  lngHightDC = (udtRectFreeDC.lngBottom - udtRectFreeDC.lngTop)
  lngWidthM = (udtRectMouse.lngRight - udtRectMouse.lngLeft)
  lngHightM = (udtRectMouse.lngBottom - udtRectMouse.lngTop)
  'FreeZoom Rechteck Endwerte ermitteln, Zoomfaktor festlegen, neu zeichnen
  If bolFreeZoom = True Then
    If Button = vbLeftButton Then
      'Mittelpunkt ermitteln
      bx = CLng(hsbBar.Value - (((udtRectFreeDC.lngLeft + lngWidthDC / 2) - _
                                 (udtRectMouse.lngLeft + lngWidthM / 2)) / GetZoomFaktor))
                 
      by = CLng(vsbBar.Value - (((udtRectFreeDC.lngTop + lngHightDC / 2) - _
                                 (udtRectMouse.lngTop + lngHightM / 2)) / GetZoomFaktor))
      'Zoomfaktor ermitteln
      If lngWidthM <> 0 And lngHightM <> 0 Then
       zx = CLng(lngWidthDC / lngWidthM * GetZoom)
       zy = CLng(lngHightDC / lngHightM * GetZoom)
       If zx < zy Then Call SetZoom(zx) Else Call SetZoom(zy)
      Else
        Call SetZoom(GetZoom)
      End If
      Call SetScrollBarValue(bx, by)
      bolFreeZoom = False
    End If
  End If
End Sub

'Fenster neuzeichnen
Private Sub Form_Paint()
  'wenn Datei ausgewhlt ist
  If StrComp(GetFileName, Trim(GetFileName), 0) Then
    Call draw     'Zeiche die Datei
  Else
    frmMain.Cls   'sonst Fenster lschen
  End If
End Sub

'Fenstergrsse gendert, neu zeichnen
Private Sub Form_Resize()
  'minimale Fenstergre festlegen
  If frmMain.Width < 2500 Then frmMain.Width = 2500
  If frmMain.Height < 2500 Then frmMain.Height = 2500
  'Zeichenbereich ermitteln
  udtRectFreeDC.lngLeft = frmMain.ScaleLeft + lngRand
  udtRectFreeDC.lngRight = frmMain.ScaleWidth - frmMain.ScaleLeft - vsbBar.Width - lngRand
  udtRectFreeDC.lngTop = frmMain.ScaleTop + lngRand
  udtRectFreeDC.lngBottom = frmMain.ScaleHeight - frmMain.ScaleTop - hsbBar.Height - stbBar.Height - lngRand
  Call SetScrollBarPos
  Call SetScrollBarMinMax
  frmMain.Refresh
End Sub

'horizontale Scrollbar wurde verndert - Fenster neuzeichnen
Private Sub hsbBar_Change()
  frmMain.Refresh
End Sub

'legt die Zeichenbereiche fest und ruft
'die Funktion DrawPrt der MegaCAD prtdraw.dll auf
Private Function draw() As Long
  Dim lngWidth As Long
  Dim lngHight As Long
  Dim udtRectDisp As tRECT          'Zeichenbereich
  Dim udtRectVirt As tRECT          'Virtueller-Bereich
  Dim udtRectClip As tRECT          'Clipping-Bereich
  Dim lngDrawPrt As Long            'Rckgabewert von DrawPrt-Funktion
  Dim strText As String             'String fr Rckgabewertmeldung
  
  lngWidth = (udtRectFreeDC.lngRight - udtRectFreeDC.lngLeft)
  lngHight = (udtRectFreeDC.lngBottom - udtRectFreeDC.lngTop)
  'udtRectVirt Bereich festlegen (Virtueller Bereich)
  udtRectVirt.lngTop = CLng(udtRectFreeDC.lngTop + ((-vsbBar.Value) * GetZoomFaktor) - _
                           (lngHight / 2 * (GetZoomFaktor - 1)))
  udtRectVirt.lngLeft = CLng(udtRectFreeDC.lngLeft + ((-hsbBar.Value) * GetZoomFaktor) - _
                            (lngWidth / 2 * (GetZoomFaktor - 1)))
  udtRectVirt.lngRight = CLng(udtRectFreeDC.lngLeft + ((-hsbBar.Value + lngWidth) * GetZoomFaktor) - _
                             (lngWidth / 2 * (GetZoomFaktor - 1)))
  udtRectVirt.lngBottom = CLng(udtRectFreeDC.lngTop + ((-vsbBar.Value + lngHight) * GetZoomFaktor) - _
                              (lngHight / 2 * (GetZoomFaktor - 1)))
  'udtRectDisp Bereich festlegen (Anzeige Bereich)
  udtRectDisp.lngTop = CLng((udtRectFreeDC.lngTop - lngHight - vsbBar.Value))
  udtRectDisp.lngLeft = CLng((udtRectFreeDC.lngLeft - lngWidth - hsbBar.Value))
  udtRectDisp.lngRight = CLng((udtRectFreeDC.lngRight + lngWidth - hsbBar.Value))
  udtRectDisp.lngBottom = CLng((udtRectFreeDC.lngBottom + lngHight - vsbBar.Value))
  'udtRectClip Bereich festlegen (Sichtbarer Bereich)
  udtRectClip.lngTop = CLng(udtRectFreeDC.lngTop)
  udtRectClip.lngLeft = CLng(udtRectFreeDC.lngLeft)
  udtRectClip.lngRight = CLng(udtRectFreeDC.lngRight)
  udtRectClip.lngBottom = CLng(udtRectFreeDC.lngBottom)
    
  'MegaCAD DrawPrtFile aus drawprt.dll aufrufen
  lngDrawPrt = DrawPrt(GetFileName, frmMain.hDC, udtRectDisp, udtRectVirt, udtRectClip, lngFlags)
          
  Select Case lngDrawPrt
    Case Is > 0
      strText = "Version: " & CStr(lngDrawPrt) & " "
    Case 0
      strText = "Keine gltige Datei."
    Case -1
      strText = "Kann Datei nicht ffnen."
    Case -2
      strText = "Bildausschnitt zu klein."
    Case -3
      strText = "Kein Speicher mehr."
    Case Else
      strText = "Kein gltiger Rckgabewert: " & CStr(lngDrawPrt)
  End Select
  'nur Fehler anzeigen
  If lngDrawPrt <= 0 Then
    Call MsgBox(strText, vbOKOnly, "PrtDraw.dll")
    Call SetFileName("")
    frmMain.Refresh
  End If
  Call StatusBarText(, , strText)
End Function

'Datei ffen
Private Sub mnuFileOpen_Click()
  On Error GoTo CommonDlgFehler
    If GetFileName <> "" Then CommonDialog.fileName = GetFileName
    'Filter angeben
    CommonDialog.Filter = "Alle Dateien (*.*)|*.*|" & _
                          "Zeichnungsdateien (*.prt)|*.prt|" & _
                          "Baugruppendateien (*.mac)|*.mac"
    
    CommonDialog.FilterIndex = 2            'Standardfilter angeben
    CommonDialog.ShowOpen                   'Dialog ffnen
    Call SetFileName(CommonDialog.fileName) 'File Name zuweisen
    Call SetZoom(100)
  Exit Sub
    
CommonDlgFehler:
  ' Fehler im Dateidialog
   Call MsgBox("Fehler im Dialog - ffnen", vbOKOnly, "CommonDialog - open")
End Sub

'Zeichnungsansicht schlieen
Private Sub mnuFileClose_Click()
  'Dateiname auf Null setzen, neuzeichen
  Call SetFileName("")
  frmMain.Refresh
End Sub

'Formular schlieen, Programm verlassen
Private Sub mnuFileExit_Click()
  Call Unload(frmMakro)
  Call Unload(frmMain)
End Sub

'Infofenster anzeigen
Private Sub mnuHelpInfo_Click()
  Call MsgBox("Beispiel zum Aufruf der prtdraw.dll Zeichen-Funktionen " & vbCrLf & _
              "aus einem VB-Projekt" & vbCrLf & vbCrLf & _
              "Programversion 1.0.4      2004.09.15" & vbCrLf & vbCrLf & _
              "MEGATECH Software GmbH, MegaCAD 2004" & vbCrLf & vbCrLf & _
              "AURICH Innenprojekt GmbH, K.Hiller", vbOKOnly, "Info")
End Sub

'Makrofenster anzeigen
Private Sub mnuHelpMakros_Click()
  Call StoreMakros(True)
  Call Load(frmMakro)
  frmMakro.Show
End Sub

'Zoomwert = 200 setzen
Private Sub mnuZoom200_Click()
  Call SetZoom(200)
  Call SetScrollBarValue(0, 0)
End Sub

'Zoomwert = 500 setzen
Private Sub mnuZoom500_Click()
  Call SetZoom(500)
  Call SetScrollBarValue(0, 0)
End Sub

'Zoomwert = 100 setzen
Private Sub mnuZoomAuto_Click()
  Call SetZoom(100)
  Call SetScrollBarValue(0, 0)
End Sub

'alten Zoomwert wiederherstellen
Private Sub mnuZoomBack_Click()
  Call SetZoomOld
End Sub

'Freien Zoom ber Mouse einschalten
Private Sub mnuZoomFree_Click()
  bolFreeZoom = True
End Sub

'Zoomfaktor minus Zoomschritt
Private Sub mnuZoomMinus_Click()
  Call SetZoom(GetZoom - GetZoomStep)
End Sub

'Zoomfaktor plus Zoomschritt
Private Sub mnuZoomPlus_Click()
  Call SetZoom(GetZoom + GetZoomStep)
End Sub

'vertikale Scrollbar wurde verndert - Fenster neuzeichnen
Private Sub vsbBar_Change()
  frmMain.Refresh
End Sub

'Setzt die Position der ScrollBars am rechten und unteren Fensterrand fest
Private Sub SetScrollBarPos()
  hsbBar.Left = udtRectFreeDC.lngLeft - lngRand
  hsbBar.Top = udtRectFreeDC.lngBottom + lngRand
  hsbBar.Width = udtRectFreeDC.lngRight + lngRand
  vsbBar.Left = udtRectFreeDC.lngRight + lngRand
  vsbBar.Top = udtRectFreeDC.lngTop - lngRand
  vsbBar.Height = udtRectFreeDC.lngBottom + lngRand
End Sub

'Setzt die minimalen und maximalen Werte der Scrollbars
Private Sub SetScrollBarMinMax()
  hsbBar.Min = -CInt(udtRectFreeDC.lngRight - udtRectFreeDC.lngLeft)
  hsbBar.Max = CInt(udtRectFreeDC.lngRight - udtRectFreeDC.lngLeft)
  vsbBar.Min = -CInt(udtRectFreeDC.lngBottom - udtRectFreeDC.lngTop)
  vsbBar.Max = CInt(udtRectFreeDC.lngBottom - udtRectFreeDC.lngTop)
End Sub

'berprft und setzt die Scrollbarwerte
Private Sub SetScrollBarValue(ByVal x As Long, _
                              ByVal y As Long)
  If x > hsbBar.Max Then x = hsbBar.Max
  If x < hsbBar.Min Then x = hsbBar.Min
  If y > vsbBar.Max Then y = vsbBar.Max
  If y < vsbBar.Min Then y = vsbBar.Min
  hsbBar.Value = x
  vsbBar.Value = y
End Sub

'initialisiert die Zoomwerte fest
Public Sub InitZoom(Optional ByVal wert As Long = 100, _
                    Optional ByVal Step As Integer = 10, _
                    Optional ByVal Offset As Integer = 0)
  udtZoom.Value = 100
  Call SetZoom(wert)
  Call SetZoomStep(Step)
  udtZoom.Offset = Offset
End Sub

'berprft und setzt den alten und den neuen Zoomwert und
'merkt sich die alten Scrollbarpositionen
Public Function SetZoom(ByVal wert As Long)
  If wert > 32000 Then wert = 32000
  If wert < 1 Then wert = 1
  udtZoom.OldX = hsbBar.Value
  udtZoom.OldY = vsbBar.Value
  udtZoom.OldValue = udtZoom.Value
  udtZoom.Value = wert
  Call SetScrollBarMinMax
  Call StatusBarText(CStr(udtZoom.Value) & "%")
  frmMain.Refresh
  SetZoom = udtZoom.Value
End Function

'berprft und setzt den ZoomSchritt
Public Function SetZoomStep(ByVal Step As Long)
  If Step < 1 Then Step = 1
  udtZoom.Step = Step
  SetZoomStep = udtZoom.Step
End Function

'bergibt den aktuellen Zoomwert
Public Function GetZoom() As Long
  GetZoom = udtZoom.Value
End Function

'bergibt den aktuellen ZoomFaktor
Public Function GetZoomFaktor() As Double
  GetZoomFaktor = (udtZoom.Value) / 100
End Function

'bergibt den aktuellen Zoomschritt
Public Function GetZoomStep() As Integer
  GetZoomStep = udtZoom.Step
End Function

'setzt den alten Zoomwert und Scrollbarpositionen
Public Sub SetZoomOld()
  Dim x As Long
  Dim y As Long
  x = udtZoom.OldX
  y = udtZoom.OldY
  Call SetZoom(udtZoom.OldValue)
  Call SetScrollBarValue(x, y)
End Sub

'initialisiert die Statusbar
Private Sub InitStatusBar()
  Call StatusBarText(CStr(GetZoom) & "%", "", "")
End Sub

'ndert den text in der Statuszeile
Private Sub StatusBarText(Optional ByRef text1 As String, _
                          Optional ByRef text2 As String, _
                          Optional ByRef text3 As String)
  If text1 <> "" Then stbBar.Panels.Item(1).Text = text1
  If text2 <> "" Then stbBar.Panels.Item(2).Text = text2
  If text3 <> "" Then stbBar.Panels.Item(3).Text = text3
  stbBar.Refresh
End Sub

'Setzt einen neuen Dateinamen
Public Sub SetFileName(ByRef fileName As String)
  Call SetStringNull(strFileName)
  If fileName <> "" Then strFileName = fileName
  Call StatusBarText(, fileName)
End Sub

'bergibt den aktuellen Dateinamen
Public Function GetFileName() As String
  GetFileName = strFileName
End Function

'Setzt einen neuen IniNamen
Public Sub SetIniName(ByRef iniName As String)
  Call SetStringNull(strIniName)
  If iniName <> "" Then strIniName = iniName
End Sub

'bergibt den aktuellen IniNamen
Public Function GetIniName() As String
  GetIniName = strIniName
End Function

'Setzt einen neuen DllPath
Public Sub SetDllPath(ByRef dllPath As String)
  If dllPath <> "" Then
    strDllPath = dllPath
    Call ChDir(strDllPath)
    Call ChDrive(strDllPath)
  End If
End Sub

'bergibt den aktuellen IniNamen
Public Function GetDllPath() As String
  GetDllPath = strDllPath
End Function

'initialisiert einen String mit NULL
Private Sub SetStringNull(ByRef s)
  s = String(LenB(s), 0)
End Sub

'DrawPrt speichert Makro informationen (ja/nein)
Public Sub StoreMakros(ByVal sm As Boolean)
  If sm = True Then
    lngFlags = lngFlags Or F_STOREMAK
    frmMain.Refresh
  Else
    lngFlags = lngFlags And Not F_STOREMAK
  End If
End Sub

'Komandozeilenparameter auswerten
Private Sub Komandozeile()
  Dim befehl As String
  Dim begin As Long
  Dim ende As Long
    
  If Command() <> "" Then
    befehl = Command() & " "
    begin = InStr(1, befehl, "-ini:", vbTextCompare)
    If begin > 0 Then
      begin = begin + 5
      ende = InStr(begin, befehl, " ", vbTextCompare) - begin
      If ende > 0 Then Call SetIniName(Mid(befehl, begin, ende))
    End If
    begin = InStr(1, befehl, "-dll:", vbTextCompare)
    If begin > 0 Then
      begin = begin + 5
      ende = InStr(begin, befehl, " ", vbTextCompare) - begin
      If ende > 0 Then Call SetDllPath(Mid(befehl, begin, ende))
    End If
    begin = InStr(1, befehl, "-prt:", vbTextCompare)
    If begin > 0 Then
      begin = begin + 5
      ende = InStr(begin, befehl, " ", vbTextCompare) - begin
      If ende > 0 Then Call SetFileName(Mid(befehl, begin, ende))
    End If
  End If
End Sub

